<?xml version="1.0" encoding="UTF-8"?>
<TBORROW_ASSET1 desc_thai="ข้อมูลการยืมทรัพย์สิน" desc_eng="Borrow asset" editcheck="true" mainhelp="TBORROW_ASSET1HELP" referhelp="TBORROW_ASSET1HELP" mainkey="BORROWID" protype="table" deleteflag="true" fieldsystem="*" config_field="">
<FIELD>
<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
        <KEY>1</KEY>
		<WIDTH>15</WIDTH>
		<RELATION>MEMPLOYEE</RELATION>
		<DESC_ENG>Employee ID</DESC_ENG>
		<DESC_THAI>รหัสพนักงาน</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>15</MAXSIZE>
			<SIZE>15</SIZE>
			<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			<ALT_ENG>Employee ID</ALT_ENG>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
</EMPLOYEEID>
<BORROWID lang="A" encrypt="false" log="false" type="String">
        <KEY>2</KEY>
		<WIDTH>15</WIDTH>
		<DESC_ENG>Doc no.</DESC_ENG>
		<DESC_THAI>เลขที่เอกสาร</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>15</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>เลขที่เอกสาร</ALT_THAI>
			<ALT_ENG>Doc no.</ALT_ENG>
		</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</BORROWID>
	<ASSETID lang="A" encrypt="false" log="false" type="String">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<RELATION>MASSET</RELATION>
			<DESC_ENG>Assest Code</DESC_ENG>
			<DESC_THAI>รหัสทรัพย์สิน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Asset Code</ALT_ENG>
				<ALT_THAI>รหัสทรัพย์สิน</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</ASSETID>	
		<LINE_NO lang="A" encrypt="false" log="false" type="String">
				<WIDTH>3</WIDTH>
				<DESC_ENG>LINE_NO </DESC_ENG>
				<DESC_THAI>ลำดับที่</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>3</MAXSIZE>
					<SIZE>3</SIZE>
					<ALT_THAI>ลำดับที่</ALT_THAI>
					<ALT_ENG>LINE_NO </ALT_ENG>
				</COMPONENT>
				<REQUIRE>true</REQUIRE>
		</LINE_NO>
	<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>4</KEY>
			<WIDTH>10</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</COMPANYID>	
		<STATUS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<COMPONENT type="list">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<VALIDCODE>ISRETURN</VALIDCODE>
				<ALT_ENG>Status</ALT_ENG>
				<ALT_THAI>สถานะ</ALT_THAI>
			</COMPONENT>
		</STATUS>
		<BORROWDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Borrow date</DESC_ENG>
			<DESC_THAI>วันที่ยืม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันที่ยืม</ALT_THAI>
				<ALT_ENG>Borrow date</ALT_ENG>				
			</COMPONENT>
		</BORROWDATE>	
		<RETURNDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Return date</DESC_ENG>
			<DESC_THAI>วันที่คืน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันที่คืน</ALT_THAI>
				<ALT_ENG>Return date</ALT_ENG>				
			</COMPONENT>
		</RETURNDATE>
	<REASON lang="A" encrypt="false" verify="false" log="false" type="String">
		<WIDTH>512</WIDTH>
		<DESC_ENG>Reason</DESC_ENG>
		<DESC_THAI>เหตุผล</DESC_THAI>
        <COMPONENT type="textarea">				
    		 <ONKEYPRESS>javascript:lockTextareaChar(this, 512);</ONKEYPRESS>
			<ALT_THAI>เหตุผล</ALT_THAI>
			<ALT_ENG>Reason</ALT_ENG>
			<LINES>7</LINES>
			<SIZECHAR>70</SIZECHAR>
		</COMPONENT>
	</REASON>	
		<AUDITOR1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Response</DESC_ENG>
			<DESC_THAI>ผู้รับผิดชอบ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>ผู้รับผิดชอบ</ALT_THAI>
				<ALT_ENG>Response</ALT_ENG>				
			</COMPONENT>
		</AUDITOR1>	
		<AUDITOR2 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Response2</DESC_ENG>
			<DESC_THAI>ผู้รับผิดชอบ2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>ผู้รับผิดชอบ2</ALT_THAI>
				<ALT_ENG>Response2</ALT_ENG>				
			</COMPONENT>
		</AUDITOR2>	
		<AUDITOR3 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Response3</DESC_ENG>
			<DESC_THAI>ผู้รับผิดชอบ3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>ผู้รับผิดชอบ3</ALT_THAI>
				<ALT_ENG>Response3</ALT_ENG>				
			</COMPONENT>
		</AUDITOR3>	
	</FIELD>
		<RELATION>
				<TBORROW_ASSET>
									<PARENT>TBORROW_ASSET1.BORROWID</PARENT>
									<PARENT>TBORROW_ASSET1.COMPANYID</PARENT>
									<CHILD>TBORROW_ASSET.BORROWID</CHILD>
									<CHILD>TBORROW_ASSET.COMPANYID</CHILD>
					</TBORROW_ASSET>
		</RELATION>
</TBORROW_ASSET1>
